<?php
//============================================================+
// File name   : example_048.php
// Begin       : 2009-03-20
// Last Update : 2013-05-14
//
// Description : Example 048 for TCPDF class
//               HTML tables and table headers
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: HTML tables and table headers
 * @author Nicola Asuni
 * @since 2009-03-20
 */

// Include the main TCPDF library (search for installation path).
require_once('tcpdf_include.php');
session_start();
class MYPDF extends TCPDF {

//Page header
public function Header() {
// Logo
//$image_file = K_PATH_Images.'logo.jpg';
//$this->Image($image_file, 15, 5, 20, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);
// Set font
//$this->SetFont('helvetica', '', 8);
// Title
}

// Page footer
public function Footer() {
// Position at 15 mm from bottom
$this->SetY(-15);
// Set font
$this->SetFont('helvetica', 'I', 9);
// Page number
$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');

/*$this->SetFont('helvetica', '', 9);
$this->SetY(-10);
$this->x = -140;
$this->Cell(0, 15, 'Copyright by Britania Airport Parking', 0, false, 'C', 0, '', 3, false, 'M', 'M');

$this->SetY(-10);
$this->x = 140;
$this->Cell(0, 15, 'Deisgn and developed by: Mobit Solutions', 0, false, 'C', 0, '', 3, false, 'M', 'M');
*/}
}

// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('');
$pdf->SetTitle('');
$pdf->SetSubject('');
$pdf->SetKeywords('');

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 048', PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImagescale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
require_once(dirname(__FILE__).'/lang/eng.php');
$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('times', '', 19);
// add a page
$pdf->AddPage();
$pdf->SetXY(12, 8);
$pdf->Write(12, 'Valet Report', '', 0,'L', true, 0, false, false, 0);

$pdf->SetXY(134, 10);
$pdf->Write(5, "Total Records:".$_SESSION['rows'], '', 0, 'L', true, 0, false, false, 0);
// NON-BREAKING TABLE (nobr="true")
$pdf->SetFont('times', '', 9);
$pdf->SetXY(13, 19);
$tbl ='
<table width="170%" border="1" cellpadding="4" cellspacing="0">
  <tr>
<th width="9%" align="center">Ref#</th>
<th width="12%" align="center">Name</th>
<th width="9%" align="center">Vehicle</th>
<th width="10%" align="center">Valet Service</th>
<th width="11%" align="center">Departure Date/Time</th>
<th width="9%" align="center">Return Date/Time</th>
</tr>';
require_once('connection.php');
$result = mysqli_query($conn,$_SESSION['query']);
$total_amount=0;

while($row = mysqli_fetch_array($result))
  {
$tbl .= '
 <tr>
 <td>'.$row["booking_ref"].'</td>
 <td>'.$row['login_name'].'</td>
 <td align="center">'.$row['booking_vehicle_make']." ".$row['booking_vehicle_model']." ".$row['booking_vehicle_color']." ".$row['booking_vehicle_reg'].'</td>
 <td align="center">'.$row['booking_level'].'</td>
 <td align="center">'.$row['StartDate'].'</td>
 <td align="center">'.$row['ReturnDate'].'</td>
 </tr>';
}

$tbl .= '</table>';
    $pdf->writeHTML($tbl, true, false, false, false, '');

// -----------------------------------------------------------------------------

//Close and output PDF document
$pdf->Output('report.pdf', 'I');
//============================================================+
// END OF FILE
//============================================================+
