<?php
//============================================================+
// File name   : example_048.php
// Begin       : 2009-03-20
// Last Update : 2013-05-14
//
// Description : Example 048 for TCPDF class
//               HTML tables and table headers
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: HTML tables and table headers
 * @author Nicola Asuni
 * @since 2009-03-20
 */

// Include the main TCPDF library (search for installation path).
include_once '../../../lib/common/action_log.php';
$action_log = new action_log();
session_start();
require_once('connection.php');
//this line of code used for check the activity which is done on this page

	$file_name="timesheetreport.php";
	$admin_name=$_SESSION["admLogin"];
    $action="View"; 
    $messsage=$admin_name." open the timesheet report PDF.";
    $action_log->action_perform($file_name,$admin_name,$messsage,$action,$conn);
    
//here the end of action perform code

require_once('tcpdf_include.php');

class MYPDF extends TCPDF {

//Page header
public function Header() {
// Logo
//$image_file = K_PATH_Images.'logo.jpg';
//$this->Image($image_file, 15, 5, 20, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);
// Set font
//$this->SetFont('helvetica', '', 8);
// Title
}

// Page footer
public function Footer() {
// Position at 15 mm from bottom
$this->SetY(-15);
// Set font
$this->SetFont('helvetica', 'I', 9);
// Page number
$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');

/*$this->SetFont('helvetica', '', 9);
$this->SetY(-10);
$this->x = -140;
$this->Cell(0, 15, 'Copyright by Britania Airport Parking', 0, false, 'C', 0, '', 3, false, 'M', 'M');

$this->SetY(-10);
$this->x = 140;
$this->Cell(0, 15, 'Deisgn and developed by: Mobit Solutions', 0, false, 'C', 0, '', 3, false, 'M', 'M');
*/}
}

// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('');
$pdf->SetTitle('');
$pdf->SetSubject('');
$pdf->SetKeywords('');

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 048', PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImagescale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
require_once(dirname(__FILE__).'/lang/eng.php');
$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('times', '', 19);
// add a page
$pdf->AddPage();
$pdf->SetXY(12, 8);
$pdf->Write(12, 'Timesheet Report', '', 0,'L', true, 0, false, false, 0);

$pdf->SetXY(135, 10);
$pdf->Write(5, "Total Records:".$_SESSION['rows'], '', 0, 'L', true, 0, false, false, 0);
// NON-BREAKING TABLE (nobr="true")

$pdf->SetFont('times', '', 9);
$pdf->SetXY(15, 28);
require_once('connection.php');
$sql1 =$_SESSION['query1'];
$result1 = mysqli_query($conn, "$sql1") or die("Couldn't execute query:<br>" . mysqli_error($conn) . '<br>' . mysqli_errno($conn));
$selectedDriver = mysqli_fetch_array($result1);

$total_seconds = $selectedDriver['timeTaken']; // Replace with the actual total number of seconds
$total_minutes = floor($total_seconds / 60);
$total_hours = floor($total_minutes / 60);
$remaining_minutes = $total_minutes % 60;
$totalhours_minute= $total_hours.":".$remaining_minutes;
 
$driver_id=$_GET['driver_id'];
$driver_status=$_GET['driver_status'];
$from_date=$_GET['from_date'];
$till_date=$_GET['till_date'];

if($driver_id){
    $driver=$driver_id;
}else{
    $driver="All";
}

if($driver_status=='1'){
    $status="Active";
}elseif($driver_status=='0'){
    $status="In-Active";
}else{
    $status="All";
}

$tbl ='
<table align="center" width="170%" border="1" cellpadding="4" cellspacing="0">
<tr>
<th width="15%" align="center">From Date</th>
<th width="15%" align="center">Till Date</th>
</tr>';
    
$tbl .= '
 <tr>
  <td>'.$from_date.'</td>
  <td>'.$till_date.'</td>
 </tr>';

$tbl .= '</table>';

$tbl .= '<br><br>'; 

$tbl .='
<table align="center" width="170%" border="1" cellpadding="4" cellspacing="0">
<tr>
<th width="15%" align="center">Driver Name</th>
<th width="15%" align="center">Total Hours</th>
<th width="10%" align="center">Total Salary</th>
</tr>';
    
$tbl .= '
 <tr>
 <td>'.$selectedDriver['name'].'</td>
  <td>'.$totalhours_minute.'</td>
  <td>'."&pound; ".number_format(($selectedDriver['timeTaken'] / 60 / 60 ) * $selectedDriver['wage_per_hour'],2).'</td>
 </tr>';

$tbl .= '</table>';
 
$tbl .= '<br><br>'; 

$tbl .='
<table width="170%" border="1" cellpadding="4" cellspacing="0">
  <tr>
<th width="20%" align="center">Check In At</th>
<th width="20%" align="center">Check Out At</th>
<th width="10%" align="center">Hours</th>
<th width="10%" align="center">Salary</th>
</tr>';


$total_amount=0;
$result = mysqli_query($conn,$_SESSION['query12']);

while($row = mysqli_fetch_array($result))
  {
    $total_seconds =$row['timeTaken']; // Replace with the actual total number of seconds
    $total_minutes = floor($total_seconds / 60);
    $total_hours = floor($total_minutes / 60);
    $remaining_minutes = $total_minutes % 60;
    $totalhours_minute= $total_hours.":".$remaining_minutes;
    $string=$row['check_out_at'];
    $array = explode(" ", $string);
    $string1=$row['check_in_at'];
    $array1 = explode(" ", $string1);
$tbl .= '
 <tr>
   <td align="center">'.$array1[0].'&nbsp;&nbsp;&nbsp;&nbsp;'.$array1[1].'</td>
  <td align="center">'.$array[0].'&nbsp;&nbsp;&nbsp;&nbsp;'.$array[1].'</td>
  <td align="center">'.$totalhours_minute.'</td>
  <td align="center">'."&pound; ". number_format(($row['timeTaken']/60/60) * $selectedDriver['wage_per_hour'],2).'</td>
 </tr>';
}
$tbl .= '</table>';

$pdf->writeHTML($tbl, true, false, false, false, '');

// -----------------------------------------------------------------------------

//Close and output PDF document
$pdf->Output('report.pdf', 'I');
//============================================================+
// END OF FILE
//============================================================+
