<?php
//============================================================+
// File name   : example_048.php
// Begin       : 2009-03-20
// Last Update : 2013-05-14
//
// Description : Example 048 for TCPDF class
//               HTML tables and table headers
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: HTML tables and table headers
 * @author Nicola Asuni
 * @since 2009-03-20
 */

// Include the main TCPDF library (search for installation path).
require_once('tcpdf_include.php');
session_start();
class MYPDF extends TCPDF {

	//Page header
	public function Header() {
		// Logo
		//$image_file = K_PATH_Images.'logo.jpg';
		//$this->Image($image_file, 15, 5, 20, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);
		// Set font
		//$this->SetFont('helvetica', '', 8);
		// Title
	}

	// Page footer
	public function Footer() {
		// Position at 15 mm from bottom
		$this->SetY(-2);
		// Set font
		$this->SetFont('helvetica', 'I', 9);
		// Page number
		//$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
		
		//$this->SetFont('helvetica', '', 9);
		//$this->SetY(-10);
		//$this->x = -140;
		//$this->Cell(0, 15, 'Copyright by Swift Airport Parking', 0, false, 'C', 0, '', 3, false, 'M', 'M');

		//$this->SetY(-10);
		//$this->x = 140;
		//$this->Cell(0, 15, 'Deisgn and developed by: Mobit Solutions', 0, false, 'C', 0, '', 3, false, 'M', 'M');
	}
}

// create new PDF document
$pdf = new MYPDF('L', PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('');
$pdf->SetTitle('');
$pdf->SetSubject('');
$pdf->SetKeywords('');

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 048', PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImagescale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
	require_once(dirname(__FILE__).'/lang/eng.php');
	$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
//$pdf->SetFont('helvetica', '', 20);
// add a page
//$pdf->AddPage();
// NON-BREAKING TABLE (nobr="true")
$pdf->SetXY(13, 15);
require_once('connection.php');
$sql = "SELECT bookings.booking_id, bookings.supplier_id, bookings.booking_ref, DATE_FORMAT(bookings.booking_from,'%d-%m-%Y %H:%i') AS StartDate, DATE_FORMAT(bookings.booking_to,'%d-%m-%Y %H:%i') AS ReturnDate, bookings.booking_status, tblvehicle.booking_vehicle_make, tblvehicle.booking_vehicle_model, tblvehicle.booking_vehicle_color, tblvehicle.booking_vehicle_reg, DATE_FORMAT(bookings.booking_created,'%d-%m-%Y %H:%i') AS booked_date, bookings.booking_status, bookings.booking_level, bookings.booking_flight, bookings.booking_total, bookings.booking_remaining_amount, bookings.booking_payable, bookings.booking_terminal,bookings.booking_terminal_return  , bookings.booking_voucher_code, bookings.booking_voucher_value, logins.login_name, logins.login_mobile, logins.login_email, supplier.short_name FROM bookings Inner Join logins ON bookings.booking_login = logins.login_id Inner Join supplier ON bookings.supplier_id = supplier.supplier_id Inner Join tblvehicle ON bookings.booking_id = tblvehicle.bookingid where bookings.booking_status=1 ORDER BY bookings.booking_from";
$result = mysqli_query($conn,$_SESSION['query']);
$total_amount=0;


while($row = mysqli_fetch_array($result))
{
	$pdf->SetFont('helvetica', '', 12);
	$pdf->AddPage();
	$refno = $row['booking_ref'];
	$fullname = $row['login_name'];
	$booking_date = $row['booked_date'];
	$agent = $row['short_name'];
	$mobile = $row['login_mobile'];
	$booking_from = $row["StartDate"];
	$booking_to = $row["ReturnDate"];
	$arr_flight_no = $row['booking_flight'];
	$car_reg = $row['booking_vehicle_reg'];
	$car_make = $row['booking_vehicle_make'];
	$car_model = $row['booking_vehicle_model'];
	$car_color = $row['booking_vehicle_color'];
	$booking_level = $row['booking_level'];
	$booking_terminal=$row['booking_terminal'];
	$return_terminal = $row['booking_terminal_return'];
	
	$make_modal = $car_make.' '.$car_model; 
 	$pdf->SetXY(37, 22);
 	$pdf->Write(14, $refno, '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(75, 13);
// 	$pdf->Write(14, $fullname, '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(128, 13);
// 	$pdf->Write(14, $mobile, '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(165, 14);
// 	$pdf->MultiCell(0,0,$booking_level,0,'L',0,0);
	
	
	
	
	
	$pdf->SetXY(37, 37);
	$pdf->Write(14, $fullname, '', 0,'L', true, 0, false, false, 0);
	
	
// 	$pdf->SetXY(25, 32);
// 	$pdf->Write(14, $car_make, '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(37, 52);
	$pdf->Write(14, $mobile, '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	//$pdf->SetXY(37, 55);
	//$pdf->Write(14,$car_reg , '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	
	$pdf->SetXY(127, 40);
	$pdf->SetFont('helvetica', '', 30);
	$pdf->Write(14, date("d-m-Y",strtotime($booking_to)), '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(132, 75);
	$pdf->Write(14, date("H:i",strtotime($booking_to)), '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	$pdf->SetXY(130, 120);
	$pdf->Write(14,$return_terminal , '', 0,'L', true, 0, false, false, 0);
	
	$pdf->SetXY(127, 157);
	$pdf->SetFont('helvetica', '', 12);
	$pdf->Write(14, $refno, '', 0,'L', true, 0, false, false, 0);
	
	$pdf->SetXY(127, 167);
	$pdf->Write(14, $car_reg , '', 0,'L', true, 0, false, false, 0);
		
	
	$pdf->SetXY(127, 170);
	$pdf->Write(14, $car_make.' '.$car_model , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetFont('helvetica', '', 12);
	
	
	$pdf->SetXY(13, 78);
	$pdf->Write(14, date("d-m-Y",strtotime($booking_from)) , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetXY(39, 78);
	$pdf->Write(14, date("H:i",strtotime($booking_from)) , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetXY(68, 78);
	$pdf->Write(14, $booking_terminal , '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	$pdf->SetXY(13, 91);
	$pdf->Write(14, date("d-m-Y",strtotime($booking_to)) , '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(39, 91);
	$pdf->Write(14, date("H:i",strtotime($booking_to)) , '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(68, 91);
	$pdf->Write(14, $return_terminal , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetXY(13, 103);
	$pdf->Write(14, $arr_flight_no , '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	
	
	

    $pdf->SetXY(13, 123);
	$pdf->Write(14, $car_reg , '', 0,'L', true, 0, false, false, 0);
		
	
    $pdf->SetXY(13, 136);
	$pdf->Write(14, $car_make.' '.$car_model , '', 0,'L', true, 0, false, false, 0);
	
	$pdf->SetXY(68, 136);
	$pdf->Write(14, $car_color , '', 0,'L', true, 0, false, false, 0);
	
//	$pdf->SetXY(60, 143);
//	$pdf->Write(14,  , '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	
	
	
	
	$pdf->SetXY(212, 118);
	$pdf->Write(14, $refno , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetXY(258, 118);
	$pdf->Write(14, $car_reg , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetXY(212, 130);
	$pdf->Write(14, $car_make.' '.$car_model , '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(265, 130);
	$pdf->Write(14, $car_color , '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(212, 142);
	$pdf->Write(14, date("d-m-Y",strtotime($booking_to)) , '', 0,'L', true, 0, false, false, 0);
	
	
	
	$pdf->SetXY(265, 142);
	$pdf->Write(14, date("H:i",strtotime($booking_to)) , '', 0,'L', true, 0, false, false, 0);
	
	
	//$pdf->SetXY(260, 130);
	//$pdf->Write(14, $booking_to , '', 0,'L', true, 0, false, false, 0);
	
	
	
	
	$pdf->SetXY(212, 155);
	$pdf->Write(14, $arr_flight_no , '', 0,'L', true, 0, false, false, 0);
	
	
	$pdf->SetXY(265, 155);
	$pdf->Write(14, $return_terminal , '', 0,'L', true, 0, false, false, 0);
	
	
	
	

	
	
	
	
// 	$pdf->SetXY(75, 32);
// 	$pdf->Write(14, $car_model, '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(128, 32);
// 	$pdf->Write(14, $car_reg, '', 0,'L', true, 0, false, false, 0);	
// 	$pdf->SetXY(165, 32);
// 	$pdf->Write(14, $car_color, '', 0,'L', true, 0, false, false, 0);
	
	
	
	
 // 	$pdf->SetXY(22, 59);
 // 	$pdf->Write(14, date("d-m-Y",strtotime($booking_from)), '', 0,'L', true, 0, false, false, 0);
	
	
	
	
// 	$pdf->SetXY(51, 59);
// 	$pdf->Write(14, date("H:i",strtotime($booking_from)), '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(75, 59);
// 	$pdf->Write(14, date("d-m-Y",strtotime($booking_to)), '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(105, 59);
// 	$pdf->Write(14, date("H:i",strtotime($booking_to)), '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(128, 59);
// 	$pdf->Write(14, $booking_terminal, '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(165, 59);
// 	$pdf->Write(14, $arr_flight_no, '', 0,'L', true, 0, false, false, 0);
	
// 	$pdf->SetXY(155, 214);
// 	$pdf->Write(14, $refno, '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(158, 223);
// 	$pdf->Write(14, date("d-m-Y",strtotime($booking_to)), '', 0,'L', true, 0, false, false, 0);
// 	$pdf->SetXY(158, 233);
// 	$pdf->Write(14, date("H:i",strtotime($booking_to)), '', 0,'L', true, 0, false, false, 0);
}

    

// -----------------------------------------------------------------------------

//Close and output PDF document
$pdf->Output('report.pdf', 'I');
//============================================================+
// END OF FILE
//============================================================+
