<?php
require('fpdf.php');
require_once('connection.php');
session_start();
class PDF extends FPDF
{
    function Header()
    {

        // Arial bold 15
        $this->SetFont('Arial','B',15);
        // Move to the right
        // Title
        $this->Cell(240,10,'Timesheet',0,0,'C');
        // Line break
        $this->Ln(20);
    }

// Page footer
    function Footer()
    {
        // Position at 1.5 cm from bottom
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial','I',8);
        // Page number
        $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
    }

    // Simple table
    function BasicTable($header, $data)
    {
        // Header
        foreach($header as $col)
            $this->Cell('70',7,$col,1);
        $this->Ln();
        // Data
        foreach($data as $row)
        {
           $this->Cell('70',6,$row,1);
        }
        $this->Ln();
    }

    function FancyTable($header, $data)
    {
        // Colors, line width and bold font
        $this->SetFillColor(255,0,0);
        $this->SetTextColor(255);
        $this->SetDrawColor(128,0,0);
        $this->SetLineWidth(.3);
        $this->SetFont('','B');
        // Header
        $w = array(20, 50, 50, 45, 45);
        for($i=0;$i<count($header);$i++)
            $this->Cell($w[$i],7,$header[$i],1,0,'C',true);
        $this->Ln();
        // Color and font restoration
        $this->SetFillColor(224,235,255);
        $this->SetTextColor(0);
        $this->SetFont('');
        // Data
        $fill = false;
        $i = 1;
        foreach($data as $row)
        {
            $checkInAt = ($row[1] != NULL ? date("d/m/Y H:i", strtotime($row[1])): '');
            $checkOutAt = ($row[2] != NULL ? date("d/m/Y H:i", strtotime($row[2])): '');
            $totalHours = number_format(($row[6]/60/60),2,'.','');
            $totalSalary = number_format((($row[6]/60/60)*$row[3]),2,'.','');

            $this->Cell($w[0],6,$i++,'LR',0,'L',$fill);
            $this->Cell($w[1],6,$checkInAt,'LR',0,'L',$fill);
            $this->Cell($w[2],6,$checkOutAt,'LR',0,'R',$fill);
            $this->Cell($w[3],6,$totalHours,'LR',0,'R',$fill);
            $this->Cell($w[4],6,$totalSalary,'LR',0,'R',$fill);
            $this->Ln();
            $fill = !$fill;
        }
        // Closing line
        $this->Cell(array_sum($w),0,'','T');
    }


}

$driverID = $_REQUEST['driver_id'];

$fromDate = null;
if($_REQUEST['from_date'] != NULL){
    $fromDate = $_REQUEST['from_date'];
}

$tillDate = null;
if($_REQUEST['till_date'] != NULL){
    $tillDate = $_REQUEST['till_date'];
}
$dateRangeQuery = '';
if($_GET['from_date'] != NULL && $_GET['till_date'] != NULL){
    $dateRangeQuery = " AND t.date >= '".date('Y-m-d',strtotime($fromDate))."' AND t.date <= '".date('Y-m-d',strtotime($tillDate))."'";
}

$conn = mysqli_connect("localhost", "heathro4_web", "mobitsolutions", "heathro4_heathrow-park-and-ride");
$sql = "SELECT t.id,t.check_in_at,t.check_out_at,d.wage_per_hour,d.name,y.yard_code,TIMESTAMPDIFF(SECOND,t.check_in_at,t.check_out_at ) AS timeTaken  FROM tbldrivertimesheet  t JOIN tbldriver as d ON t.driver_id = d.id JOIN tblyards as y ON y.yard_id = t.yard_id WHERE t.driver_id = '$driverID' $dateRangeQuery ORDER BY id DESC";
$result = mysqli_query($conn, $sql) or die("Couldn't execute query:<br>" . mysqli_error($conn) . '<br>' . mysqli_errno($conn));
$records = mysqli_fetch_all($result);

$sql1 = "SELECT d.name,d.wage_per_hour,t.date , SUM(TIMESTAMPDIFF(SECOND,t.check_in_at,t.check_out_at )) AS timeTaken FROM tbldrivertimesheet as t join tbldriver as d ON d.id = t.driver_id WHERE t.driver_id = $driverID ".$dateRangeQuery;
$result1 = mysqli_query($conn, $sql1) or die("Couldn't execute query:<br>" . mysqli_error($conn) . '<br>' . mysqli_errno($conn));
$fetchArray = mysqli_fetch_array($result1);

$header = ['Driver Name','Total Hours','Total Salary'];
$data = [
    $fetchArray['name'],
    number_format(($fetchArray['timeTaken']/60/60),2,'.',''),
    number_format((($fetchArray['timeTaken']/60/60)*$fetchArray['wage_per_hour']),2,'.',''),
];

$headerMain = [
    'Sr#','Check In At','Check Out At','Total Hours','Salary'
];


$pdf = new PDF('P','mm','A4');
$pdf->SetLeftMargin(30);
$pdf->SetRightMargin(30);
$pdf->AliasNbPages();
$pdf->SetFont('Arial','',14);
$pdf->AddPage();
$pdf->BasicTable($header,$data);
$pdf->Ln();
$pdf->Ln();
$pdf->FancyTable($headerMain,$records);
$pdf->Ln();
$pdf->Output();

?>